svn commit: r271780 - user/gjb/thermite

Glen Barber gjb at FreeBSD.org
Thu Sep 18 15:26:13 UTC 2014


Author: gjb
Date: Thu Sep 18 15:26:12 2014
New Revision: 271780
URL: http://svnweb.freebsd.org/changeset/base/271780

Log:
  Defer running mk-vmimage.sh until after all normal
  (i.e., ISOs) bits are built.
  
  This eliminates a significant delay between the completion
  of the amd64 ISO creation and the start of the i386
  build (more than one hour).
  
  Sponsored by:	The FreeBSD Foundation

Modified:
  user/gjb/thermite/thermite.sh

Modified: user/gjb/thermite/thermite.sh
==============================================================================
--- user/gjb/thermite/thermite.sh	Thu Sep 18 15:10:22 2014	(r271779)
+++ user/gjb/thermite/thermite.sh	Thu Sep 18 15:26:12 2014	(r271780)
@@ -250,11 +250,8 @@ build_release() {
 
 	send_logmail ${logdir}/${_build}.log ${_build}
 
-	# Short circuit to skip vm image creation for non-x86 architectures.
-	# Also recreate the memstick.img for i386 while here.
+	# Recreate the memstick.img for i386 while here.
 	case ${arch} in
-		amd64)
-			;;
 		i386)
 			/bin/sh ${scriptdir}/remake-memstick.sh \
 				-c ${_conf} >> ${logdir}/${_build}.log
@@ -263,6 +260,23 @@ build_release() {
 			return 0
 			;;
 	esac
+	send_logmail ${logdir}/${_build}.log ${_build}
+	unset _build _conf
+}
+
+build_vmimage() {
+	_build="${rev}-${arch}-${kernel}-${type}"
+	_conf="${scriptdir}/${_build}.conf"
+	source_config || return 0
+
+	case ${arch} in
+		amd64|i386)
+			# continue
+			;;
+		*)
+			return 0
+			;;
+	esac
 	case ${kernel} in
 		GENERIC)
 			info "Building vm image: ${_build}"
@@ -386,6 +400,7 @@ main() {
 	runall build_chroots
 	runall install_chroots
 	runall build_release
+	runall build_vmimage
 }
 
 main "$@"


More information about the svn-src-user mailing list